GF2NPP Class Reference

GF(2^n) with Pentanomial Basis. More...

`#include <gf2n.h>`

Inheritance diagram for GF2NPP:

## Public Types

typedef EuclideanDomainOf < PolynomialMod2 > | EuclideanDomain
typedef EuclideanDomainOf < PolynomialMod2 >::Element | Element

## Public Member Functions

| GF2NPP (unsigned int t0, unsigned int t1, unsigned int t2, unsigned int t3, unsigned int t4)
GF2NP * | Clone () const
void | DEREncode (BufferedTransformation &bt) const
void | DEREncodeElement (BufferedTransformation &out, const Element &a) const
void | BERDecodeElement (BufferedTransformation &in, Element &a) const
bool | Equal (const Element &a, const Element &b) const
bool | IsUnit (const Element &a) const
unsigned int | MaxElementBitLength () const
unsigned int | MaxElementByteLength () const
Element | SquareRoot (const Element &a) const
Element | HalfTrace (const Element &a) const
Element | SolveQuadraticEquation (const Element &a) const
const EuclideanDomain & | GetDomain () const
const Element & | GetModulus () const
const Element & | Identity () const
const Element & | Add (const Element &a, const Element &b) const
Element & | Accumulate (Element &a, const Element &b) const
const Element & | Inverse (const Element &a) const
const Element & | Subtract (const Element &a, const Element &b) const
Element & | Reduce (Element &a, const Element &b) const
const Element & | Double (const Element &a) const
const Element & | MultiplicativeIdentity () const
const Element & | Multiply (const Element &a, const Element &b) const
const Element & | Square (const Element &a) const
const Element & | MultiplicativeInverse (const Element &a) const
bool | operator== (const QuotientRing< EuclideanDomainOf< PolynomialMod2 > > &rhs) const
virtual const Element & | Divide (const Element &a, const Element &b) const
virtual Element | Exponentiate (const Element &a, const Integer &e) const
virtual Element | CascadeExponentiate (const Element &x, const Integer &e1, const Element &y, const Integer &e2) const
virtual void | SimultaneousExponentiate (Element *results, const Element &base, const Integer *exponents, unsigned int exponentsCount) const
virtual const AbstractGroup < EuclideanDomainOf < PolynomialMod2 >::Element > & | MultiplicativeGroup () const
virtual bool | InversionIsFast () const
virtual Element | ScalarMultiply (const Element &a, const Integer &e) const
virtual Element | CascadeScalarMultiply (const Element &x, const Integer &e1, const Element &y, const Integer &e2) const
virtual void | SimultaneousMultiply (Element *results, const Element &base, const Integer *exponents, unsigned int exponentsCount) const

## Protected Attributes

unsigned int | m
EuclideanDomain | m_domain
Element | m_modulus

## Detailed Description

GF(2^n) with Pentanomial Basis.

Definition at line 341 of file gf2n.h.

The documentation for this class was generated from the following file:

- gf2n.h